Upstream information

CVE-2020-7046 at MITRE

Description

lib-smtp in submission-login and lmtp in Dovecot 2.3.9 before 2.3.9.3 mishandles truncated UTF-8 data in command parameters, as demonstrated by the unauthenticated triggering of a submission-login infinite loop.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:N/AC:L/Au:N/C:N/I:N/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1162773 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • dovecot23 >= 2.3.10-15.1
  • dovecot23-backend-mysql >= 2.3.10-15.1
  • dovecot23-backend-pgsql >= 2.3.10-15.1
  • dovecot23-backend-sqlite >= 2.3.10-15.1
  • dovecot23-devel >= 2.3.10-15.1
  • dovecot23-fts >= 2.3.10-15.1
  • dovecot23-fts-lucene >= 2.3.10-15.1
  • dovecot23-fts-solr >= 2.3.10-15.1
  • dovecot23-fts-squat >= 2.3.10-15.1
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • dovecot23 >= 2.3.11.3-17.5.1
  • dovecot23-backend-mysql >= 2.3.11.3-17.5.1
  • dovecot23-backend-pgsql >= 2.3.11.3-17.5.1
  • dovecot23-backend-sqlite >= 2.3.11.3-17.5.1
  • dovecot23-devel >= 2.3.11.3-17.5.1
  • dovecot23-fts >= 2.3.11.3-17.5.1
  • dovecot23-fts-lucene >= 2.3.11.3-17.5.1
  • dovecot23-fts-solr >= 2.3.11.3-17.5.1
  • dovecot23-fts-squat >= 2.3.11.3-17.5.1
openSUSE Tumbleweed
  • dovecot23 >= 2.3.16-1.6
  • dovecot23-backend-mysql >= 2.3.16-1.6
  • dovecot23-backend-pgsql >= 2.3.16-1.6
  • dovecot23-backend-sqlite >= 2.3.16-1.6
  • dovecot23-devel >= 2.3.16-1.6
  • dovecot23-fts >= 2.3.16-1.6
  • dovecot23-fts-lucene >= 2.3.16-1.6
  • dovecot23-fts-solr >= 2.3.16-1.6
  • dovecot23-fts-squat >= 2.3.16-1.6
Patchnames:
openSUSE Tumbleweed GA dovecot23-2.3.16-1.6


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 dovecot23 In progress
SUSE Enterprise Storage 6 dovecot23 In progress
SUSE Linux Enterprise High Performance Computing 12 SP4 dovecot Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 dovecot Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS dovecot23 In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS dovecot23 In progress
SUSE Linux Enterprise Module for Server Applications 15 dovecot Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 dovecot Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS dovecot Not affected
SUSE Linux Enterprise Server 12 SP4 dovecot Not affected
SUSE Linux Enterprise Server 12 SP5 dovecot Not affected
SUSE Linux Enterprise Server 15 LTSS dovecot23 In progress
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux dovecot23 In progress
SUSE Linux Enterprise Server 15 SP1 LTSS dovecot23 In progress
SUSE Linux Enterprise Server ESPOS 15 dovecot23 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dovecot Not affected
SUSE Linux Enterprise Server for SAP Applications 15 dovecot23 In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 dovecot23 In progress
SUSE Manager Proxy 4.0 dovecot23 In progress
SUSE Manager Retail Branch Server 4.0 dovecot23 In progress
SUSE Manager Server 4.0 dovecot23 In progress